Index: branches/SHM-dev/build/linux/lib/TAppCommon/makefile
===================================================================
--- branches/SHM-dev/build/linux/lib/TAppCommon/makefile	(revision 817)
+++ branches/SHM-dev/build/linux/lib/TAppCommon/makefile	(revision 1029)
@@ -17,9 +17,15 @@
 USER_LIB_DIRS	=
 
+ifeq ($(HIGHBITDEPTH), 1)
+HBD=HighBitDepth
+else
+HBD=
+endif
+
 # intermediate directory for object files
-OBJ_DIR			= ./objects
+OBJ_DIR			= ./objects$(HBD)
 
 # the library name
-PRJ_NAME	 	= TAppCommon
+PRJ_NAME	 	= TAppCommon$(HBD)
 
 # version information
Index: branches/SHM-dev/build/linux/lib/TLibCommon/makefile
===================================================================
--- branches/SHM-dev/build/linux/lib/TLibCommon/makefile	(revision 817)
+++ branches/SHM-dev/build/linux/lib/TLibCommon/makefile	(revision 1029)
@@ -17,9 +17,15 @@
 USER_LIB_DIRS	=
 
+ifeq ($(HIGHBITDEPTH), 1)
+HBD=HighBitDepth
+else
+HBD=
+endif
+
 # intermediate directory for object files
-OBJ_DIR			= ./objects
+OBJ_DIR			= ./objects$(HBD)
 
 # the library name
-PRJ_NAME	 	= TLibCommon
+PRJ_NAME	 	= TLibCommon$(HBD)
 
 # version information
@@ -33,4 +39,7 @@
 # set objects
 OBJS          	= \
+			$(OBJ_DIR)/Debug.o \
+			$(OBJ_DIR)/TComPicYuv.o \
+			$(OBJ_DIR)/TComYuv.o \
 			$(OBJ_DIR)/ContextModel.o \
 			$(OBJ_DIR)/ContextModel3DBuffer.o \
@@ -39,4 +48,5 @@
 			$(OBJ_DIR)/TComSampleAdaptiveOffset.o \
 			$(OBJ_DIR)/TComBitStream.o \
+      		$(OBJ_DIR)/TComChromaFormat.o \
 			$(OBJ_DIR)/TComDataCU.o \
 			$(OBJ_DIR)/TComLoopFilter.o \
@@ -45,5 +55,4 @@
 			$(OBJ_DIR)/TComPic.o \
 			$(OBJ_DIR)/TComPicSym.o \
-			$(OBJ_DIR)/TComPicYuv.o \
 			$(OBJ_DIR)/TComPicYuvMD5.o \
 			$(OBJ_DIR)/TComPrediction.o \
@@ -52,5 +61,5 @@
 			$(OBJ_DIR)/TComSlice.o \
 			$(OBJ_DIR)/TComTrQuant.o \
-			$(OBJ_DIR)/TComYuv.o \
+			$(OBJ_DIR)/TComTU.o \
 			$(OBJ_DIR)/TComInterpolationFilter.o \
 			$(OBJ_DIR)/libmd5.o \
Index: branches/SHM-dev/build/linux/lib/TLibDecoder/makefile
===================================================================
--- branches/SHM-dev/build/linux/lib/TLibDecoder/makefile	(revision 817)
+++ branches/SHM-dev/build/linux/lib/TLibDecoder/makefile	(revision 1029)
@@ -17,9 +17,15 @@
 USER_LIB_DIRS	=
 
+ifeq ($(HIGHBITDEPTH), 1)
+HBD=HighBitDepth
+else
+HBD=
+endif
+
 # intermediate directory for object files
-OBJ_DIR			= ./objects
+OBJ_DIR			= ./objects$(HBD)
 
 # the library name
-PRJ_NAME	 	= TLibDecoder
+PRJ_NAME	 	= TLibDecoder$(HBD)
 
 # version information
Index: branches/SHM-dev/build/linux/lib/TLibDecoderAnalyser/makefile
===================================================================
--- branches/SHM-dev/build/linux/lib/TLibDecoderAnalyser/makefile	(revision 1029)
+++ branches/SHM-dev/build/linux/lib/TLibDecoderAnalyser/makefile	(revision 1029)
@@ -0,0 +1,72 @@
+# the SOURCE definiton lets move your makefile to another position
+CONFIG 			= LIBRARY
+
+# set pathes to the correct directories
+SRC_DIR			= ../../../../source/Lib/TLibDecoder
+INC_DIR			= ../../../../source/Lib
+LIB_DIR			= ../../../../lib
+BIN_DIR			= ../../../../bin
+
+SRC_DIR1		=
+SRC_DIR2		=
+SRC_DIR3		=
+SRC_DIR4		=
+
+
+USER_INC_DIRS	= -I$(SRC_DIR)
+USER_LIB_DIRS	=
+
+ifeq ($(HIGHBITDEPTH), 1)
+HBD=HighBitDepth
+else
+HBD=
+endif
+
+# intermediate directory for object files
+OBJ_DIR			= ./objects$(HBD)
+
+# the library name
+PRJ_NAME	 	= TLibDecoderAnalyser$(HBD)
+
+# version information
+MAJOR_VER		= 0
+MINOR_VER		= 1
+VER				= $(MAJOR_VER).$(MINOR_VER)
+
+# defines to set
+DEFS			= -DMSYS_LINUX -DRExt__DECODER_DEBUG_BIT_STATISTICS=1
+
+# set objects
+OBJS          	= \
+				$(OBJ_DIR)/AnnexBread.o \
+				$(OBJ_DIR)/NALread.o \
+				$(OBJ_DIR)/SEIread.o \
+				$(OBJ_DIR)/SyntaxElementParser.o \
+				$(OBJ_DIR)/TDecBinCoderCABAC.o \
+				$(OBJ_DIR)/TDecCAVLC.o \
+				$(OBJ_DIR)/TDecCu.o \
+				$(OBJ_DIR)/TDecEntropy.o \
+				$(OBJ_DIR)/TDecGop.o \
+				$(OBJ_DIR)/TDecSbac.o \
+				$(OBJ_DIR)/TDecSlice.o \
+				$(OBJ_DIR)/TDecTop.o \
+
+LIBS				= -lpthread
+
+DEBUG_LIBS			=
+RELEASE_LIBS		=
+
+STAT_LIBS			=
+DYN_LIBS			= -ldl
+
+# the libraries to link with
+STAT_DEBUG_LIBS		=
+STAT_RELEASE_LIBS	=
+DYN_DEBUG_LIBS		=
+DYN_RELEASE_LIBS	=
+
+# name of the base makefile
+MAKE_FILE_NAME		= ../../common/makefile.base
+
+# include the base makefile
+include $(MAKE_FILE_NAME)
Index: branches/SHM-dev/build/linux/lib/TLibEncoder/makefile
===================================================================
--- branches/SHM-dev/build/linux/lib/TLibEncoder/makefile	(revision 817)
+++ branches/SHM-dev/build/linux/lib/TLibEncoder/makefile	(revision 1029)
@@ -17,9 +17,15 @@
 USER_LIB_DIRS	=
 
+ifeq ($(HIGHBITDEPTH), 1)
+HBD=HighBitDepth
+else
+HBD=
+endif
+
 # intermediate directory for object files
-OBJ_DIR			= ./objects
+OBJ_DIR			= ./objects$(HBD)
 
 # the library name
-PRJ_NAME	 	= TLibEncoder
+PRJ_NAME	 	= TLibEncoder$(HBD)
 
 # version information
Index: branches/SHM-dev/build/linux/lib/TLibVideoIO/makefile
===================================================================
--- branches/SHM-dev/build/linux/lib/TLibVideoIO/makefile	(revision 817)
+++ branches/SHM-dev/build/linux/lib/TLibVideoIO/makefile	(revision 1029)
@@ -17,9 +17,15 @@
 USER_LIB_DIRS	=
 
+ifeq ($(HIGHBITDEPTH), 1)
+HBD=HighBitDepth
+else
+HBD=
+endif
+
 # intermediate directory for object files
-OBJ_DIR			= ./objects
+OBJ_DIR			= ./objects$(HBD)
 
 # the library name
-PRJ_NAME	 	= TLibVideoIO
+PRJ_NAME	 	= TLibVideoIO$(HBD)
 
 # version information
